Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.diff
Class EditType

    java.lang.Object
      org.crosswire.common.diff.EditType

All Implemented Interfaces:
  Serializable

    public final class EditType

extends Object
implements Serializable

An Enumeration of the possible Edits.

Author:
  DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`, Serialized Form

Field Summary
`static EditType` | `DELETE` Delete a sequence.
`static EditType` | `EQUAL` Equal sequences
`static EditType` | `INSERT` Insert a sequence
`private String` | `name` The name of the FeatureType
`private static int` | `nextObj`
`private int` | `obj`
`private static long` | `serialVersionUID` Serialization ID
`private char` | `symbol` The symbol representing the EditType
`private static EditType[]` | `VALUES`

Constructor Summary
`private` | `EditType(String name, char symbol)`

Method Summary
`static EditType` | `fromInteger(int i)` Lookup method to convert from an integer
`static EditType` | `fromString(String name)` Lookup method to convert from a String
`static EditType` | `fromSymbol(char symbol)` Lookup method to convert from a String
`char` | `getSymbol()`
`(package private) Object` | `readResolve()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DELETE

    public static final EditType DELETE

  Delete a sequence.

### INSERT

    public static final EditType INSERT

  Insert a sequence

### EQUAL

    public static final EditType EQUAL

  Equal sequences

### name

    private String name

  The name of the FeatureType

### symbol

    private char symbol

  The symbol representing the EditType

### nextObj

    private static int nextObj

### obj

    private final int obj

### VALUES

    private static final EditType[] VALUES

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### EditType

    private EditType(String name,
                     char symbol)

Parameters:
  `name` - The name of the FeatureType

Method Detail

### getSymbol

    public char getSymbol()

  Returns:
    te symbol for this EditType

### fromString

    public static EditType fromString(String name)

  Lookup method to convert from a String

### fromSymbol

    public static EditType fromSymbol(char symbol)

  Lookup method to convert from a String

### fromInteger

    public static EditType fromInteger(int i)

  Lookup method to convert from an integer

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### readResolve

    Object readResolve()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD